Subject: RE: MIB Dr. review of draft-ietf-ccamp-gmpls-te-mib-13.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 22 Mar 2006 19:25:53 +0100

Tom,
> >
> > 4) Again, wrt Section 4.8 from RFC4181, it is recommended
> > that if MIB authors intend to have Optional Groups that these
> > be noted.  This was done for the Read-only compliance but not
> > the Full-compliance, so would ask that all Optional Groups be
> > specified as recommended by Section 4.8.  Reviewing these
> > Compliances statements is difficult without this information.
> 
> 	I don't understand. There are 5 groups, two of which
> are specified as Mandatory, and the other three are explained
> to be optional and why below that.
> 

It seems pretty clear that Joan tries to explain to you that the
proper way to define those optional groups (in BOTH MODULE-COMPLIANCE
statemnts( is to add the optional groups. You do it correctly
for the read-only compliance, but not for the fullCOmpliance.

So I think the fix is something like:

OLD:
   gmplsTeModuleFullCompliance MODULE-COMPLIANCE
   STATUS current
   DESCRIPTION
        "Compliance statement for agents that provide full support for
         GMPLS-TE-STD-MIB. Such devices can then be monitored and also
         be configured using this MIB module.

         The mandatory group has to be implemented by all LSRs that
         originate, terminate or act as transit for TE-LSPs/tunnels.

Nadeau and Farrel (Editors)                                    [Page 40]
^L
Internet Draft     draft-ietf-ccamp-gmpls-te-mib-13.txt       March 2006

         In addition, depending on the type of tunnels supported, other
         groups become mandatory as explained below."

   MODULE -- this module
   MANDATORY-GROUPS {
     gmplsTunnelGroup,
     gmplsTunnelScalarGroup,
     gmplsTunnelSignaledGroup
   }
   ::= { gmplsTeCompliances 1 }

NEW:

   gmplsTeModuleFullCompliance MODULE-COMPLIANCE
   STATUS current
   DESCRIPTION
        "Compliance statement for agents that provide full support for
         GMPLS-TE-STD-MIB. Such devices can then be monitored and also
         be configured using this MIB module."

   MODULE -- this module
   MANDATORY-GROUPS {
     gmplsTunnelGroup,
     gmplsTunnelScalarGroup,
     gmplsTunnelSignaledGroup
   }

   GROUP gmplsTunnelSignaledGroup
     DESCRIPTION
       "This group is mandatory for devices which support signaled
        tunnel set up, in addition to gmplsTunnelGroup. The following
        constraints apply:
            mplsTunnelSignallingProto should be at least read-only
            returning a value of ldp(2), or rsvp(3)."

   GROUP gmplsTunnelIsIntfcGroup
     DESCRIPTION
       "This group is mandatory for devices which support tunnels that
        are interfaces, in addition to gmplsTunnelGroup."

   GROUP gmplsTunnelOptionalGroup
     DESCRIPTION
       "Objects in this group are optional."

   GROUP gmplsTeNotificationGroup
   DESCRIPTION
        "This group is mandatory for those implementations which can
         implement the notifications contained in this group."

   ::= { gmplsTeCompliances 1 }

Bert

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 22 Mar 2006 13:55:19 -0600

Thanks Bert. I updated accordingly.

	--Tom

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 22 Mar 2006 13:57:58 -0600

Also, we should start CC:ing Ross, who is taking over
for Alex as AD.

	--Tom